[SRU] vendor_data isn't parsed properly when using the nocloud datasource

Bug #1493453 reported by Stéphane Graber on 2015-09-08
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
cloud-init
Medium
Unassigned
cloud-init (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned
Wily
Undecided
Unassigned

Bug Description

SRU Justification:

[IMPACT] The NoCloud Datasource assigns vendor_data to the wrong cloud-init internal variable. This causes the vendor_data to be improperly parsed, and prevents it from being consummed.

[FIX] See original report below

[TESTING]
1. Start in-cloud instance
2. Update cloud-init to version in proposed
3. Populate /var/lib/cloud/seed/nocloud/{user,meta,vendor}-data:

  meta-data:
     instance-id: testing

  user-data:
     #cloud-config
     packages:
     - pastebinit

  vendor-data:
     #cloud-config
     runcmd:
     - [ "touch", "/tmp/vd-worked" ]

3. Configure instance for NoCloud DS:

$ cat > /etc/cloud/cloud.cfg.d/999-sru.cfg <<EOM
DataSources: [ NoCloud }
EOM

4. Reboot
5. Confirm that /tmp/vd-worked exists
6. Confirm that pastebinit is installed

[REGRESION POTENTIAL]
Low. The NoCloud Datasource is used when there are no other datasources and is a local or fallback Datasource. This change only affects the vendor_data assignment which generally not used.

[ORIGINAL REPORT]
The following fix is needed:

"self.vendordata = mydata['vendor-data']" must be changed to "self.vendordata_raw = mydata['vendor-data']"

Related branches

Scott Moser (smoser) wrote :

fixed in trunk in revno 1142

Changed in cloud-init:
status: New → Fix Committed
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.7~bzr1143-0ubuntu1

---------------
cloud-init (0.7.7~bzr1143-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * NoCloud: fix consumption of vendor-data (LP: #1493453)
    * power_state: support power change only on 'condition'

 -- Scott Moser <email address hidden> Thu, 10 Sep 2015 16:20:44 -0400

Changed in cloud-init (Ubuntu Wily):
status: New → Fix Released
Changed in cloud-init:
assignee: nobody → Ben Howard (utlemming)
Changed in cloud-init (Ubuntu Trusty):
assignee: nobody → Ben Howard (utlemming)
Changed in cloud-init (Ubuntu Vivid):
assignee: nobody → Ben Howard (utlemming)
Changed in cloud-init (Ubuntu Wily):
assignee: nobody → Ben Howard (utlemming)
summary: - vendor_data isn't parsed properly when using the nocloud datasource
+ [SRU] vendor_data isn't parsed properly when using the nocloud
+ datasource
description: updated
description: updated
description: updated

Hello Stéphane, or anyone else affected,

Accepted cloud-init into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.5-0ubuntu1.12 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Stéphane Graber (stgraber) wrote :

Hello Stéphane, or anyone else affected,

Accepted cloud-init into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.7~bzr1091-0ubuntu9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Vivid):
status: New → Fix Committed

Verification complete for Vivid.

tags: added: verification-done
removed: verification-needed

The verification of the Stable Release Update for cloud-init has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.7~bzr1091-0ubuntu9

---------------
cloud-init (0.7.7~bzr1091-0ubuntu9) vivid; urgency=medium

  * d/patches/lp-1493453-nocloudds-vendor_data.patch:
    - fix vendor_data variable assignment for the NoCloud Datasource
      (LP: #1493453).

  * d/patches/lp-1461242-generate-ed25519-host-keys.patch:
    - ssh: generate ed25519 host keys if supported (LP: #1461242).

 -- Ben Howard <email address hidden> Tue, 22 Sep 2015 15:02:06 -0600

Changed in cloud-init (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.5-0ubuntu1.12

---------------
cloud-init (0.7.5-0ubuntu1.12) trusty; urgency=medium

  * d/patches/lp-1493453-nocloudds-vendor_data.patch:
    - fix vendor_data variable assignment for the NoCloud Datasource
      (LP: #1493453).

 -- Ben Howard <email address hidden> Mon, 21 Sep 2015 15:24:17 -0600

Changed in cloud-init (Ubuntu Trusty):
status: Fix Committed → Fix Released
Changed in cloud-init:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers